#
# spec file for package wmakerconf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wmakerconf
Summary:        Configuration tool for Window Maker
License:        GPL-2.0+
Group:          System/GUI/Other
Version:        2.12
Release:        4.2
Url:            http://wmakerconf.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-2.9.dif
Patch1:         %{name}-fix-bad-po.patch
Patch3:         %{name}-2.9-destdir.patch
Patch4:         %{name}-2.9-config.patch
Patch5:         %{name}-no-imlib.patch
Patch7:         %{name}-2.9-varargs.diff
Patch9:         %{name}-datarootdir.patch
Patch10:        %{name}-2.12-wmaker-0.95_support.patch
# PATCH - Fix SUSE: implicit-pointer-decl
Patch11:        %{name}-implicit-pointer-decl.patch
# PATCH-FIX-UPSTREAM wmakerconf-link-x11.patch dimstar@opesuse.org -- Link mkpreview with libX11 for XOpenDisplay
Patch12:        %{name}-link-x11.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  WindowMaker-devel
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  perl-libwww-perl
BuildRequires:  update-desktop-files
Obsoletes:      wmaconf
Provides:       wmaconf
Requires:       WindowMaker
Requires:       perl-libwww-perl

%description
Wmakerconf is a GTK+ based configuration tool for Window Maker.

%prep
%setup -q
%patch0
%patch1
%patch3
%patch4
%patch5
%patch7
%patch9
%patch10
%patch11
%patch12 -p1
# ---------------------------------------------------------------------------

%build
gettextize -f
mv ChangeLog~ ChangeLog # drop changelog entries from gettextize to fix build-compare
autoreconf --install --force
test -f po/Makevars || mv po/Makevars.template po/Makevars
%configure \
	--with-nlsdir=%{_datadir}/locale \
	--with-pixmapdir=%{_datadir}/WindowMaker/Pixmaps
make %{?_smp_mflags}
# ---------------------------------------------------------------------------

%install
%makeinstall
# Change no to nb
mv %{buildroot}%{_datadir}/locale/no %{buildroot}%{_datadir}/locale/nb
%find_lang %{name}
%find_lang wmakerconf-data %{name}.lang
%suse_update_desktop_file wmakerconf
%fdupes %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1 README TODO
%{_bindir}/mkpreview
%{_bindir}/wmakerconf
%doc %{_mandir}/man?/mkpreview.*
%doc %{_mandir}/man?/wmakerconf.*
%{_datadir}/applications/wmakerconf.desktop
%{_datadir}/wmakerconf/

%changelog
* Mon Apr 18 2016 dimstar@opensuse.org
- Add wmakerconf-link-x11.patch: link mkpreview with libX11 for
  XOpenDisplay.
* Thu Mar 17 2016 bwiedemann@suse.com
- drop changelog entries from gettextize to fix build-compare
* Fri Apr 27 2012 chris@computersalat.de
- fix for sf#3488712 (fix build for new wmaker-0.95)
  * add wmakerconf-2.12-wmaker-0.95_support.patch
- try to fix implicit-pointer-decl
  * add implicit-pointer-decl patch
- rebase patches to be p0
- some spec cleanup
- enable parallel build
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Dec 28 2009 vuntz@opensuse.org
- Update to version 2.12:
  + Sort list for shortcuts
  + Updated translations
- Changes from version 2.11:
  + Finally completely ported to work with GTK+ 2 and Window Maker
    0.90 (Not all new Window Maker attributes are supported yet,
    though.)
  + Data upgrade now disabled by default, as it's broken
  + Updated translations
- Changes from version 2.9.2:
  + Improved handling of specific workspaces (WorkspaceSpecificBack
    attribute), fixing segfaults and previews
  + Panels are now shown sorted alphabetically instead of in the
    previous haphazard order
- Changes from version 2.9.1:
  + Various segfaults fixed
  + Fixed bug causing non-alphanumeric keyboard shortcuts to be
    ignored
  + Fixed bug where middle and right mouse buttons were swapped in dialog
  + Installing a theme now puts it in
    GNUstep/Library/WindowMaker/Themes as one would expect
  + New themes websites in "Themes" menu to replace those that have
    ceased to exist
  + Updated translations
- Change gtk-devel BuildRequires to gtk2-devel.
- Add update-desktop-files BuildRequires.
- Add perl-libwww-perl BuildRequires and Requires.
- Remove freetype2-devel, imlib-config, imlib-devel, lynx, wget
  BuildRequires.
- Remove lynx, wget Requires.
- Drop wmakerconf-2.9-themesdir.patch: we don't use /usr/X11R6
  anymore.
- Rebase wmakerconf-2.9-destdir.patch.
- Rebase wmakerconf-2.9-config.patch.
- Drop wmakerconf-2.9-segfault.patch: fixed upstream.
- Drop wmakerconf-rreleaseimage.patch: fixed upstream.
- Drop wmakerconf-2.9-wmconfig.patch: fixed upstream.
- Rebase wmakerconf-datarootdir.patch to apply without fuzz.
- Drop wmakerconf-2.9-nb.patch: instead, move the translation after
  installation.
- Add wmakerconf-fix-bad-po.patch to fix build.
- Add wmakerconf-no-imlib.patch to fix regeneration of configure
  script without imlib-devel.
- Add fdupes support.
- Use makeinstall macro.
* Sun Apr 27 2008 ro@suse.de
- remove hermes-devel from buildreq
* Sun Feb 24 2008 crrodriguez@suse.de
- use find_lang macros properly
* Mon Aug 21 2006 nadvornik@suse.cz
- changed prefix to /usr
- renamed no.po -> nb.po
* Tue Aug  8 2006 cthiel@suse.de
- fix build
* Tue Jul  4 2006 schwab@suse.de
- Handle datarootdir.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Jun 19 2003 ro@suse.de
- build with current gettext
* Tue May 13 2003 nadvornik@suse.cz
- fixed merging user configuration [#25928]
* Tue Apr 29 2003 sf@suse.de
- remove '#include varargs.h'
* Mon Apr 28 2003 nadvornik@suse.cz
- fixed crash in setting themes [#25928]
* Fri Apr 18 2003 mfabian@suse.de
- add "freetype2 freetype2-devel expat" to neededforbuild
- wmakerconf-rreleaseimage.patch: RDestroyImage() is obsolete,
  replace by RReleaseImage() (necessary because of WindowMaker
  upgrade)
* Fri Mar  7 2003 nadvornik@suse.cz
- fixed segfault
* Tue Nov 19 2002 mmj@suse.de
- Add AM_GNU_GETTEXT_VERSION
* Tue Oct  1 2002 nadvornik@suse.cz
- updated to 2.9
  - updated translations
  - does not require libPropList
* Tue Sep 10 2002 kukuk@suse.de
- fix provides for update
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Tue May 14 2002 ro@suse.de
- use RPM_OPT_FLAGS, add -L/usr/X11R6/%%_lib
* Wed May  1 2002 kukuk@suse.de
- Remove superfluous libmpeg
* Wed Apr  3 2002 ro@suse.de
- build with current gettext
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 16 2002 schwab@suse.de
- Fix typo in specfile.
- Don't pass -I/usr/include or -I/usr/local/include to preprocessor.
* Mon Jun 25 2001 nadvornik@suse.cz
- added buildroot
- added correct path for windowmaker themes
* Thu Jun 21 2001 ro@suse.de
- added imlib and hermes to neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Thu Jan 25 2001 violiet@suse.de
- added wmakerconf-data Korean translation.
- improvement wmakerconf Korean translation.
* Fri Nov 17 2000 kukuk@suse.de
- fixed Requires for WindowMaker
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild for libPropList
* Sun Nov  5 2000 ro@suse.de
- fixed neededforbuild
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri May 19 2000 choeger@suse.de
- updated to version 2.6.1
* Wed Mar  8 2000 ro@suse.de
- fixed segfault
* Fri Dec  3 1999 ray@suse.de
- update to 2.3
* Mon Oct 25 1999 ro@suse.de
- switched to libungif
* Thu Sep 23 1999 choeger@suse.de
- new version 2.2
* Mon Sep 20 1999 ro@suse.de
- added proplst, proplstd to neededforbuild
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jun 24 1999 ray@suse.de
- update to 2.1
* Wed Apr 28 1999 ray@suse.de
- new package version 1.99.4
